View Issue Details

IDProjectCategoryView StatusLast Update
0000177Bacula-Webbug-htmlpublic2017-07-27 12:30
ReporterjhelfmanAssigned Todavide 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSFreeBSDOS Version10.1-p14
Product Version7.0.2 
Target Version8.0.0-rc1Fixed in Version8.0.0-rc1 
Summary0000177: graphing overlap on index.php
DescriptionI didn't want to include our complete internal names however there is a large box overlapping our pie chart.
Steps To ReproduceVanilla installation.
Additional InformationAll installed software:
$ pkg info
apache24-2.4.16 Version 2.4.x of Apache web server
apr-1.5.2.1.5.4 Apache Portability Library
bacula-client-7.0.5_2 Network backup solution (client)
db5-5.3.28_2 The Oracle Berkeley DB, revision 5.3
expat-2.1.0_2 XML 1.0 parser written in C
freetype2-2.6 Free and portable TrueType font rendering engine
gdbm-1.11_2 GNU database manager
gettext-runtime-0.19.4 GNU gettext runtime libraries and programs
glib-2.42.2 Some useful routines of C programming (current stable version)
icu-55.1 International Components for Unicode (from IBM)
indexinfo-0.2.3 Utility to regenerate the GNU info page index
jpeg-8_6 IJG's jpeg compression utilities
kbproto-1.0.6 KB extension headers
libICE-1.0.9_1,1 Inter Client Exchange library for X11
libSM-1.2.2_3,1 Session Management library for X11
libX11-1.6.2_3,1 X11 library
libXau-1.0.8_3 Authentication Protocol library for X11
libXaw-1.0.12_3,2 X Athena Widgets library
libXdmcp-1.1.2 X Display Manager Control Protocol library
libXext-1.3.3_1,1 X11 Extension library
libXmu-1.1.2_3,1 X Miscellaneous Utilities libraries
libXp-1.0.3,1 X print library
libXpm-3.5.11_4 X Pixmap library
libXt-1.1.4_3,1 X Toolkit library
libdnet-1.12_1 Simple interface to low level networking routines
libffi-3.2.1 Foreign Function Interface
libiconv-1.14_8 Character set conversion library
libpthread-stubs-0.3_6 This library provides weak aliases for pthread functions
libxcb-1.11_1 The X protocol C-language Binding (XCB) library
libxml2-2.9.2_3 XML parser library for GNOME
lzo2-2.09 Portable speedy, lossless data compression library
mod_php5-5.4.43,1 PHP Scripting Language
mysql51-client-5.1.73_2 Multithreaded SQL database (client)
nmap-6.47 Port scanning utility for large networks
open-vm-tools-nox11-1280544_12,1 Open VMware tools for FreeBSD VMware guests
pcre-8.37_1 Perl Compatible Regular Expressions library
perl5-5.20.2_5 Practical Extraction and Report Language
php5-5.4.43 PHP Scripting Language
php5-gd-5.4.43_1 The gd shared extension for php
php5-gettext-5.4.43 The gettext shared extension for php
php5-mysql-5.4.43 The mysql shared extension for php
php5-pdo-5.4.43 The pdo shared extension for php
php5-pdo_mysql-5.4.43 The pdo_mysql shared extension for php
php5-session-5.4.43 The session shared extension for php
pkg-1.5.5 Package manager
png-1.6.17 Library for manipulating PNG images
postgresql91-client-9.1.18 PostgreSQL database (client)
postgresql91-server-9.1.18 The most advanced open-source database available anywhere
printproto-1.0.5 Print extension headers
python27-2.7.10 Interpreted object-oriented programming language
sudo-1.8.13 Allow others to run commands as root
t1lib-5.1.2_4,1 Type 1 font rasterization library for Unix/X11
xextproto-7.3.0 XExt extension headers
xproto-7.0.27 X11 protocol headers
TagsNo tags attached.

Activities

davide

2016-03-21 11:57

manager   ~0000511

I hope the new Dashboard layout which is coming with next version (7.1.0) will fix the problem.

Please do try next version (will come in few dayss) and give me a feedback.

Regards

davide

2016-04-01 14:54

manager   ~0000520

Unfortunately, I'll not be able to change the dashboard layout for 7.1.0.

But I'll do that in the release coming after.

In the same time, a screenshot would be greatly appreciated if possible.

jhelfman

2016-04-30 03:52

reporter  

Capture.PNG (53,792 bytes)
Capture.PNG (53,792 bytes)

jhelfman

2016-04-30 03:53

reporter   ~0000540

Uploaded screen capture after upgrade to 7.1.0.

davide

2016-05-01 12:36

manager   ~0000541

Thanks for the screen capture, I'll try to improve current dashboard.

Regards

davide

2016-07-13 12:28

manager   ~0000560

Have you been able to upgrade to version 7.2.0 ?

This version should fix or at least improve the situation.

Thanks for your feedback

davide

2017-07-27 12:27

manager   ~0000603

As of version 8.0.0, Bacula-Web switched from PHPLot to NVD3 (JavaScript chart library).
This problem should not append anymore.

I'll set this bug report as resolved.
Version 8.0.0-RC1 should be available soon, give it a try and add a comment to this bug report if needed.

davide

2017-07-27 12:27

manager   ~0000604

Fixed in 8.0.0-RC1

Issue History

Date Modified Username Field Change
2015-07-17 06:48 jhelfman New Issue
2016-03-21 11:54 davide Assigned To => davide
2016-03-21 11:54 davide Status new => assigned
2016-03-21 11:57 davide Note Added: 0000511
2016-04-01 14:54 davide Note Added: 0000520
2016-04-30 03:52 jhelfman File Added: Capture.PNG
2016-04-30 03:53 jhelfman Note Added: 0000540
2016-05-01 12:36 davide Note Added: 0000541
2016-07-13 12:28 davide Note Added: 0000560
2016-07-13 12:28 davide Status assigned => feedback
2017-07-27 12:25 davide Target Version => 8.0.0-rc1
2017-07-27 12:27 davide Note Added: 0000603
2017-07-27 12:27 davide Status feedback => resolved
2017-07-27 12:27 davide Resolution open => fixed
2017-07-27 12:27 davide Note Added: 0000604
2017-07-27 12:30 davide Fixed in Version => 8.0.0-rc1